Bug 169661 - mkinitrd-5.0.2-1 is passing bogus arguments to 'findstoragedriver'
mkinitrd-5.0.2-1 is passing bogus arguments to 'findstoragedriver'
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-30 16:01 EDT by Michal Jaegermann
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-11 02:20:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2005-09-30 16:01:40 EDT
Description of problem:

'handlelvordev' function in 'mkinitrd' is passing to 'findstoragedriver'
"devices" with names like "LABEL=/1".  This, in turn, is causing 'find'
to barf with the following long message:

find: warning: Unix filenames usually don't contain slashes (though pathnames
do).  That means that '-name LABEL=/1' will probably evaluate to false all the
time on this system.  You might find the '-wholename' test more useful, or
perhaps '-samefile'.  Alternatively, if you are using GNU grep, you could use
'find ... -print0 | grep -FzZ LABEL=/1'.

This shows up, in particular, when you are installing a new kernel as
a side effect of %post scripts in that package.

Version-Release number of selected component (if applicable):
mkinitrd-5.0.2-1

How reproducible:
always

Note You need to log in before you can comment on or make changes to this bug.